## class OSGUTIL_EXPORT StateVisitor

> Optimize State in the scene graph by removing duplicate state, replacing it with shared instances, both for StateAttributes, and whole StateSets

## Inheritance:

### Public Methods

StateVisitor()
  default to traversing all children
virtual void reset()
  empty visitor, make it ready for next traversal
virtual void apply(osg::Node& node)
virtual void apply(osg::Geode& geode)
void optimize()

### Protected Fields

StateSetMap _statesets

### Protected Methods

void addStateSet(osg::StateSet* stateset, osg::Object* obj)

### Protected Members

typedef std::set<osg::Object*> ObjectSet
typedef std::map<osg::StateSet*,ObjectSet> StateSetMap

## Documentation

> Optimize State in the scene graph by removing duplicate state, replacing it with shared instances, both for StateAttributes, and whole StateSets

`StateVisitor()`
  default to traversing all children

`virtual void reset()`
  empty visitor, make it ready for next traversal

`virtual void apply(osg::Node& node)`

`virtual void apply(osg::Geode& geode)`

`void optimize()`

`void addStateSet(osg::StateSet* stateset, osg::Object* obj)`

`typedef std::set<osg::Object*> ObjectSet`

`typedef std::map<osg::StateSet*,ObjectSet> StateSetMap`

`StateSetMap _statesets`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.